Bug 205059 - Review Request: perl-POE-Filter-Zlib - POE filter wrapped around Compress::Zlib
Review Request: perl-POE-Filter-Zlib - POE filter wrapped around Compress::Zlib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/POE-Filte...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-02 21:49 EDT by Chris Weyl
Modified: 2013-05-16 08:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 16:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-02 21:49:28 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Filter-Zlib-1.4-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-Filter-Zlib.spec

Description:
POE::Filter::Zlib provides a POE filter for performing compression and
uncompression using Compress::Zlib. It is suitable for use with
POE::Filter::Stackable.
Comment 1 Jason Tibbitts 2006-09-06 14:34:23 EDT
329825354 Perl modules on the Wall...

Note that 1.5 came out just before you submitted this, but I don't think that's
a blocker.  Too bad he still won't include any information on the licensing of
his modules.

* source files match upstream:
   ee3c93a09f4640bd42a5781375a48082  POE-Filter-Zlib-1.4.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  Correspondence clarifying the license is
included.
X latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Filter::Zlib) = 1.4
   perl(POE::Filter::Zlib::Stream) = 1.4
   perl-POE-Filter-Zlib = 1.4-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Compress::Zlib)
   perl(POE::Filter)
   perl(base)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=13,  0 wallclock secs ( 0.10 cusr +  0.04 csys =  0.14 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-09-06 16:31:28 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching  (FC-5)
+Close bug

Updated to 1.5, as well.

Thanks for the review!
Comment 3 Andrea Veri 2013-05-16 06:29:28 EDT
Package Change Request
======================
Package Name: perl-POE-Filter-Zlib
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 4 Jon Ciesla 2013-05-16 08:16:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.